## ros-noetic-mimic-joint-controller 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mimic_joint_controller)

find_package(catkin REQUIRED COMPONENTS
        roscpp

        pluginlib
        controller_interface
        )

catkin_package(
        INCLUDE_DIRS
        include
        CATKIN_DEPENDS
        roscpp

        pluginlib
        controller_interface
        LIBRARIES ${PROJECT_NAME}
)

include_directories(
        include
        ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
        src/mimic_joint_controller.cpp
        )

target_link_libraries(${PROJECT_NAME}
        ${catkin_LIBRARIES}
        )

install(
        TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
        DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
)

# Mark other files for installation
install(
        FILES mimic_joint_controller_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-mimic-joint-controller (0.1.7-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- ljq <lvjunqi@todo.todo>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-mimic-joint-controller (0.1.6-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- ljq <lvjunqi@todo.todo>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-mimic-joint-controller (0.1.5-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #67 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/67> from ljq-lv/joint_mime_controller
    Add Joint mime controller
  * Modified name "mimic_joint" to "target_joint"
  * Modified "joint_mime" to "mimic_joint"
  * Modified the name from "mime" to "mimic"
  * Contributors: QiayuanLiao, chenzheng, ljq-lv

 -- ljq <lvjunqi@todo.todo>  Fri, 10 Jun 2022 00:00:00 -0000

## ros-noetic-mimic-joint-controller 0.1.10

=== debian/changelog ===
ros-noetic-mimic-joint-controller (0.1.10-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Contributors: ye-luo-xi-tui

 -- ljq <lvjunqi@todo.todo>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-mimic-joint-controller (0.1.9-1focal) focal; urgency=high

  * Merge branch 'master' into balance_standard
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * Contributors: ye-luo-xi-tui, yezi

 -- ljq <lvjunqi@todo.todo>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-mimic-joint-controller (0.1.8-1focal) focal; urgency=high

  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: ye-luo-xi-tui

 -- ljq <lvjunqi@todo.todo>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-mimic-joint-controller (0.1.7-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- ljq <lvjunqi@todo.todo>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-mimic-joint-controller (0.1.6-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- ljq <lvjunqi@todo.todo>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-mimic-joint-controller (0.1.5-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #67 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/67> from ljq-lv/joint_mime_controller
    Add Joint mime controller
  * Modified name "mimic_joint" to "target_joint"
  * Modified "joint_mime" to "mimic_joint"
  * Modified the name from "mime" to "mimic"
  * Contributors: QiayuanLiao, chenzheng, ljq-lv

 -- ljq <lvjunqi@todo.todo>  Fri, 10 Jun 2022 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-mimic-joint-controller
Section: misc
Priority: optional
Maintainer: ljq <lvjunqi@todo.todo>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-pluginlib, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-mimic-joint-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-interface, ros-noetic-pluginlib, ros-noetic-roscpp
Description: The mimic_joint_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mimic-joint-controller//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
